
mst_otsb_hg_clone () {

	local src="$1"
	local package_name=${2:-$(basename $src)}
	local tag=${3:-default}

	tmpdir=$(otsb_mktemp_dir) \
		|| otsb_die "unable to create temporary directory"

    hg clone $src $tmpdir

	hg -R $tmpdir update -r $tag

	local version

	if [ "$tag" = default ]; then

		version=$(hg -R $tmpdir identify 2>/dev/null \
			| perl -ane 'print $F[0]')

	else

		version="$tag"

	fi

    local package="$package_name-$version"
	local tarball="$package.tar.gz"

	rsync -a $tmpdir/ $package
	tar czf $tarball $package

	/bin/rm -rf $package

	echo $tarball
}

